Update Product Image
Updates a Product Image.
Usage Notes
image_url-255character limit- Each image file or image uploaded by URL can be up to 8 MB.
- For file uploads, send a POST request using the
multipart/form-datamedia type
Authentication
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
The ID of the Product to which the resource belongs.
The ID of the Image that is being operated on.
Headers
The MIME type of the response body.
Request
The URL for an image displayed on the storefront when the conditions are applied. Limit of 8MB per file.
Cannot be used with image_file.
Flag for identifying whether the image is used as the productʼs thumbnail.
The order in which the image will be displayed on the product page. Higher integers give the image a lower priority. When updating, if the image is given a lower priority, all images with a sort_order the same as or greater than the imageʼs new sort_order value will have their sort_orders reordered.